--------------------------------------------------------------------------------
-- Weapon Drought
-- "Flood" modification.
--------------------------------------------------------------------------------

-- Setup Tables
-- Using "nti" instead of CC to prevent some problems which may occure.
if nti==nil then nti={} end
nti.drought={}

-- Load & Prepare Ressources
nti.drought.gfx_wpn=loadgfx("weapons/Drought.png")				-- Weapon Image
setmidhandle(nti.drought.gfx_wpn)
nti.drought.sfx_attack=loadsfx("Flood.ogg")						-- Keeping sound the same

--------------------------------------------------------------------------------
-- (Not really) Weapon: Drought
--------------------------------------------------------------------------------

nti.drought.id=addweapon("nti.drought","Drought",nti.drought.gfx_wpn,0,2)			-- Add Weapon (0 uses, first in round 2)
addweaponinfo("Decreases the water level. Cant go below default water level.")

function nti.drought.draw()												-- Draw
	-- Do nothing
end

function nti.drought.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Effect
			playsound(nti.drought.sfx_attack)
			-- Lower Water
			watery(getwatery()+150)
			-- Scroll to Water Surface
			scroll(getplayerx(0),getwatery()-75)
			-- End Turn
			endturn()
		end
	end
end